#version 430 core

// Model matrix (passed per object)
uniform mat4 modelMatrix;

// Object space vertex positions
layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 uv;

void main(void) {

	// Transform vertex to world space
	gl_Position = modelMatrix * vec4(position, 1.0);
	// In the GS the value of gl_Position can be accessed via:
	// gl_in[triangle_vertex_idx].gl_Position;
	
}