#version 430 core

uniform sampler2D image;
uniform sampler2D lensFlare;
uniform sampler2D bloom;
uniform sampler2D motionVector;

in vec2 uv;

out vec4 result;

void main() {



    vec4 Color = vec4(0.0);

    vec2 TexCoord = uv;
	
	vec2 realMotionVector = texture(motionVector, TexCoord).xy / 3.0;

    Color += texture(image, TexCoord) * 0.6;
    TexCoord -= realMotionVector;
    Color += texture(image, TexCoord) * 0.2;
    TexCoord -= realMotionVector;
    Color += texture(image, TexCoord) * 0.1;
    TexCoord -= realMotionVector;
    Color += texture(image, TexCoord) * 0.1;

	result = vec4(texture(motionVector, TexCoord).rgb, 1.0);
	result = vec4(Color.rgb + texture(lensFlare, uv).rgb + texture(bloom, uv).rgb, 1.0); //

	/*const float gamma = 2.2;     
    vec3 c = vec3(1.0) - exp(-result.rgb);     
    c = pow(c, vec3(1.0 / gamma));
    result = vec4(c, 1.0);*/
	
	
}