#version 430 core


uniform sampler2D bloom;      
uniform sampler2D halos;    
uniform sampler2D spikes;                                                        

in vec2 uv1;
in vec3 color1;

uniform vec3 camera_position;
uniform vec3 camera_front;

void main()
{
	
	vec4 bloom_ = texture(bloom, uv1);// * l * v;
	vec4 halos_ = texture(halos, uv1);
	vec4 spikes_ = texture(spikes, uv1);
	spikes_.a = min(spikes_.r, min(spikes_.g, spikes_.b));
	gl_FragColor = (spikes_ + bloom_ + halos_) * vec4(color1, 1);

}